#1921 closed defect (fixed)

Allow CPU port to provide optional multitasking start and stop

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

For the ARM Cortex-M support it is necessary to start and stop the multitasking with special functions. Doing this via a context switch would add a lot of complexity to the context switch code. This special case handling is optional and does not affect other architectures.

Attachments (1)

start-stop.patch (1.6 KB) - added by Sebastian Huber on Sep 22, 2011 at 6:07:43 PM.
Proposed change.

Download all attachments as: .zip

Change History (4)

Changed on Sep 22, 2011 at 6:07:43 PM by Sebastian Huber

Attachment: start-stop.patch added

Proposed change.

comment:1 Changed on Sep 22, 2011 at 7:44:06 PM by Gedare Bloom

Cc: giddyup44@… added

comment:2 Changed on Sep 24, 2011 at 11:41:28 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Committed to CVS head.

comment:3 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

Note: See TracTickets for help on using tickets.